#ifndef GAMESERVER_H
#define GAMESERVER_H

#include "server/network/IServerListener.h"
#include "server/commands/CommandManager.h"
#include "commands/ServerCommands.h"

class GameServer : public IServerListener
{
public:
    void start(uint16_t port, uint16_t maxClients);
    
    void onFullServerClientConnect(int socket) const override;
    void onClientConnect(int socket) const override;
    void onClientPackage(int socket, Stream& in) const override;
    void onClientDisconnect(int socket) const override;
    
private:
    CommandManager commandManager;
    ServerCommands serverCommands;
};

#endif

