#ifndef COMMANDMANAGER_H
#define COMMANDMANAGER_H

#include <unordered_map>
#include <vector>

#include "ServerCommands.h"

class CommandManager
{
public:
    typedef void (*Command) (ServerCommands&, const std::vector<std::string>&);
    
    CommandManager();
    
    void execute(ServerCommands& sc, const std::string& rawCommand) const;

private:
    std::unordered_map<std::string, Command> commands;
    
    void registerCommand(const std::string& name, Command command);
};

#endif

